{
  "compileOnSave": false,
  "compilerOptions": {
    "allowSyntheticDefaultImports": true,
    "outDir": "./dist/out-tsc",
    "declaration": false,
    "module": "es2020",
    "moduleResolution": "node",
    "noUnusedLocals": true,
    "noImplicitThis": false,
    "experimentalDecorators": true,
    "target": "ES2022",
    "strict": true,
    "skipLibCheck": true,
    "strictPropertyInitialization": false,
    "strictFunctionTypes": false,
    "suppressImplicitAnyIndexErrors": true,
    "typeRoots": [
      "node_modules/@types",
      "node_modules/web-ext-types",
      "src/declarations.d.ts"
    ],
    "lib": [
      "es2018",
      "dom",
      "es6",
      "es2015.iterable"
    ],
    "baseUrl": ".",
    "paths": {
      "~/*": [
        "./*",
        "src/*"
      ],
      "*": [
        "./node_modules/*"
      ],
      "path": [
        "./node_modules/path-browserify"
      ],
      "crypto": [
        "./node_modules/crypto-browserify"
      ]
    },
    "useDefineForClassFields": false
  },
  "importHelpers": true,
  "angularCompilerOptions": {
    "preserveWhitespaces": false
  }
}
